package com.sifang.modules.youkua.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "nh_power_station")
public class NhPowerStation implements Serializable {

    @Id
    private String id; // 主键ID
    private String innerStationId; // 内部电站ID
    private String outStationId; // 外部电站ID
    private String stationCode; // 电站编号
    private String stationName; // 电站名称
    private String images; // 电站图片
    private String capitalCode; // 资方编号
    private String capitalName; // 资方名称
    private String projectId; // 项目ID
    private String projectCode; // 项目编号
    private String projectName; // 项目名称
    private String projectCompanyId; // 项目公司ID
    private String projectCompanyName; // 项目公司名称
    private String installType; // 安装方式
    private String agentId; // 代理商ID
    private String agentName; // 代理商名称
    private String agentPhone; // 代理商电话
    private String ownerId; // 业主编号
    private String ownerName; // 业主名称
    private String ownerPhone; // 业主电话
    private String sn; // sn码序列号
    private String province; // 省
    private String city; // 市
    private String district; // 区
    private String address; // 详细地址
    private String latitude; // 纬度
    private String longitude; // 经度
    private BigDecimal actualCapacity; // 实际安装容量
    private Date installAcceptTime; // 完工日期
    private Date startGenDate; // 首日发电日期
    private String applyNo; // 进件序号
    private Integer applyStatus; // 进件状态
    private Integer isFollow; // 是否关注
    private String omProviderId; // 运维服务商id
    private String omProviderName; // 运维服务商名称
    private BigDecimal etd; // 当期新增发电量
    private BigDecimal eto; // 累计发电量
    private BigDecimal etdc; // 当期新增发电收入
    private BigDecimal etoc; // 累计发电收入
    private Long createUser; // 创建人
    private Long createDept; // 创建部门
    private Date createdTime; // 创建时间
    private Long updateUser; // 更新人
    private Date updatedTime; // 更新时间
    private Integer status; // 状态
    private Integer isDeleted; // 是否已删除
    private Date mergeTime;
    private String filingType;//备案类型 1.农户备案  2.项目公司备案
    private String customerType;//客户类型 1.个人 2.单位

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getInnerStationId() {
        return innerStationId;
    }

    public void setInnerStationId(String innerStationId) {
        this.innerStationId = innerStationId;
    }

    public String getOutStationId() {
        return outStationId;
    }

    public void setOutStationId(String outStationId) {
        this.outStationId = outStationId;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public String getCapitalCode() {
        return capitalCode;
    }

    public void setCapitalCode(String capitalCode) {
        this.capitalCode = capitalCode;
    }

    public String getCapitalName() {
        return capitalName;
    }

    public void setCapitalName(String capitalName) {
        this.capitalName = capitalName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectCompanyId() {
        return projectCompanyId;
    }

    public void setProjectCompanyId(String projectCompanyId) {
        this.projectCompanyId = projectCompanyId;
    }

    public String getProjectCompanyName() {
        return projectCompanyName;
    }

    public void setProjectCompanyName(String projectCompanyName) {
        this.projectCompanyName = projectCompanyName;
    }

    public String getInstallType() {
        return installType;
    }

    public void setInstallType(String installType) {
        this.installType = installType;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getAgentPhone() {
        return agentPhone;
    }

    public void setAgentPhone(String agentPhone) {
        this.agentPhone = agentPhone;
    }


    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public String getOwnerPhone() {
        return ownerPhone;
    }

    public void setOwnerPhone(String ownerPhone) {
        this.ownerPhone = ownerPhone;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public BigDecimal getActualCapacity() {
        return actualCapacity;
    }

    public void setActualCapacity(BigDecimal actualCapacity) {
        this.actualCapacity = actualCapacity;
    }

    public Date getInstallAcceptTime() {
        return installAcceptTime;
    }

    public void setInstallAcceptTime(Date installAcceptTime) {
        this.installAcceptTime = installAcceptTime;
    }

    public Date getStartGenDate() {
        return startGenDate;
    }

    public void setStartGenDate(Date startGenDate) {
        this.startGenDate = startGenDate;
    }

    public String getApplyNo() {
        return applyNo;
    }

    public void setApplyNo(String applyNo) {
        this.applyNo = applyNo;
    }

    public Integer getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(Integer applyStatus) {
        this.applyStatus = applyStatus;
    }

    public Integer getIsFollow() {
        return isFollow;
    }

    public void setIsFollow(Integer isFollow) {
        this.isFollow = isFollow;
    }

    public String getOmProviderId() {
        return omProviderId;
    }

    public void setOmProviderId(String omProviderId) {
        this.omProviderId = omProviderId;
    }

    public String getOmProviderName() {
        return omProviderName;
    }

    public void setOmProviderName(String omProviderName) {
        this.omProviderName = omProviderName;
    }

    public BigDecimal getEtd() {
        return etd;
    }

    public void setEtd(BigDecimal etd) {
        this.etd = etd;
    }

    public BigDecimal getEto() {
        return eto;
    }

    public void setEto(BigDecimal eto) {
        this.eto = eto;
    }

    public BigDecimal getEtdc() {
        return etdc;
    }

    public void setEtdc(BigDecimal etdc) {
        this.etdc = etdc;
    }

    public BigDecimal getEtoc() {
        return etoc;
    }

    public void setEtoc(BigDecimal etoc) {
        this.etoc = etoc;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public Long getCreateDept() {
        return createDept;
    }

    public void setCreateDept(Long createDept) {
        this.createDept = createDept;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getMergeTime() {
        return mergeTime;
    }

    public void setMergeTime(Date mergeTime) {
        this.mergeTime = mergeTime;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(String ownerId) {
        this.ownerId = ownerId;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getFilingType() {
        return filingType;
    }

    public void setFilingType(String filingType) {
        this.filingType = filingType;
    }

    public String getCustomerType() {
        return customerType;
    }

    public void setCustomerType(String customerType) {
        this.customerType = customerType;
    }
}
